Agents API

Create branch

post
https://api.dev.poly.ai/v1/agents/{agentId}/branches

Body

application/json

CreateBranchBody

* Additional properties are NOT allowed.
branchNamestringrequired

>= 1 characters<= 100 characters

Response

201

Branch created

post/v1/agents/{agentId}/branches

Body

{ "branchName": "branchName" }
 
201

Delete branch

delete
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}

Response

200

Branch deleted

delete/v1/agents/{agentId}/branches/{branchId}
 
200

Merge branch

post
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/merge

Body

application/json

MergeBranchBody

* Additional properties are NOT allowed.
deploymentMessagestring

Default:

conflictResolutionsarray[object]
* Additional properties are NOT allowed.
Show Child Parameters

Response

200

Branch merged

post/v1/agents/{agentId}/branches/{branchId}/merge

Body

{}
 
200

List attributes

get
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/attributes

Response

200 application/json

List of attributes for the agent branch

GetAttributesResponse

* Additional properties are NOT allowed.
attributesarray[object]required
* Additional properties are NOT allowed.
Show Child Parameters
get/v1/agents/{agentId}/branches/{branchId}/attributes
 
200 application/json

Create attribute

post
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/attributes

Body

application/json

CreateAttributeBody

* Additional properties are NOT allowed.
namestringrequired

>= 1 characters

Response

201 application/json

Created attribute

AttributeResponse

* Additional properties are NOT allowed.
idstringrequired
namestringrequired
post/v1/agents/{agentId}/branches/{branchId}/attributes

Body

{ "name": "name" }
 
201 application/json